Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.TimeRange Class Reference

## Public Member Functions
| TimeRange ()
| Constructor.
| TimeRange (DateTime start_time, DateTime end_time)
| Constructor, with parameters. More...
| TimeRange (TimeRange other)
| Constructor, with another time range object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
DateTime | getEnd_time ()
| Get end time of current time range. More...
DateTime | getStart_time ()
| Get start time of current time range. More...
void | set (DateTime start_time, DateTime end_time)
| Set value. More...
void | setEnd_time (DateTime value)
| Set end time of current time range. More...
void | setStart_time (DateTime value)
| Set start time of current time range. More...

## Detailed Description

This class represents a time range, including start time and end time.

## Constructor & Destructor Documentation

## ◆ TimeRange() [1/2]

com.foxit.sdk.pdf.TimeRange.TimeRange | ( | DateTime | start_time,
|  | DateTime | end_time
| ) |  |

Constructor, with parameters.

Parameters

  [in] | start_time | Start time of current time range.
  [in] | end_time | End time of current time range.

## ◆ TimeRange() [2/2]

com.foxit.sdk.pdf.TimeRange.TimeRange | ( | TimeRange | other | ) |

Constructor, with another time range object.

Parameters

  [in] | other | Another time range object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TimeRange.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnd_time()

com.foxit.sdk.pdf.TimeRange.getEnd_time | ( |  | ) |

Get end time of current time range.

Returns
  End time of current time range.

## ◆ getStart_time()

com.foxit.sdk.pdf.TimeRange.getStart_time | ( |  | ) |

Get start time of current time range.

Returns
  Start time of current time range.

## ◆ set()

void com.foxit.sdk.pdf.TimeRange.set | ( | DateTime | start_time,
|  | DateTime | end_time
| ) |  |

Set value.

Parameters

  [in] | start_time | Start time of current time range.
  [in] | end_time | End time of current time range.

Returns
  None.

## ◆ setEnd_time()

com.foxit.sdk.pdf.TimeRange.setEnd_time | ( | DateTime | value | ) |

Set end time of current time range.

Parameters

  [in] | value | End time of current time range.

Returns
  None.

## ◆ setStart_time()

com.foxit.sdk.pdf.TimeRange.setStart_time | ( | DateTime | value | ) |

Set start time of current time range.

Parameters

  [in] | value | Start time of current time range.

Returns
  None.